GMX-ENEMAT(1)

NAME
gmx-enemat - Extract an energy matrix from an energy file

SYNOPSIS

gmx enemat [-f [<.edr>]] [-groups [<.dat>]] [-eref [<.dat>]]
           [-emat [<.xpm>]] [-etot [<.xvg>]] [-b <time>] [-e <time>]
           [-dt <time>] [-[no]w] [-xvg <enum>] [-[no]sum]
           [-skip <int>] [-[no]mean] [-nlevels <int>] [-max <real>]
           [-min <real>] [-[no]coulsr] [-[no]coul14] [-[no]ljsr]
           [-[no]lj14] [-[no]bhamsr] [-[no]free] [-temp <real>]

DESCRIPTION

gmx enemat extracts an energy matrix from the energy file (-f). With -groups a file must be supplied with on each line a group of atoms to be used. For these groups matrix of interaction energies will be extracted from the energy file by looking for energy groups with names corresponding to pairs of groups of atoms, e.g. if your -groups file contains:

2
Protein
SOL

then energy groups with names like ‘Coul-SR:Protein-SOL’ and ‘LJ:Protein-SOL’ are expected in the energy file (although gmx enemat is most useful if many groups are analyzed simultaneously). Matrices for different energy types are written out separately, as controlled by the -[no]coul, -[no]coulr, -[no]coul14, -[no]lj, -[no]lj14, -[no]bham and -[no]free options. Finally, the total interaction energy energy per group can be calculated (-etot).

An approximation of the free energy can be calculated using: E_free = E_0 + kT log(<exp((E-E_0)/kT)>), where ‘<>’ stands for time-average. A file with reference free energies can be supplied to calculate the free energy difference with some reference state. Group names (e.g. residue names) in the reference file should correspond to the group names as used in the -groups file, but a appended number (e.g. residue number) in the -groups will be ignored in the comparison.

OPTIONS

Options to specify input files:

-f [<.edr>] (ener.edr) (Optional)
    Energy file

-groups [<.dat>] (groups.dat)
    Generic data file

-eref [<.dat>] (eref.dat) (Optional)
    Generic data file

    Options to specify output files:

-emat [<.xpm>] (emat.xpm)
    X PixMap compatible matrix file

-etot [<.xvg>] (energy.xvg)
    xvgr/xmgr file

    Other options:

-b <time> (0)
    Time of first frame to read from trajectory (default unit ps)

-e <time> (0)
    Time of last frame to read from trajectory (default unit ps)

-dt <time> (0)
    Only use frame when t MOD dt = first time (default unit ps)

-[no]w (no)
    View output .xvg, .xpm, .eps and .pdb files

-xvg <enum> (xmgrace)
    xvg plot formatting: xmgrace, xmgr, none

-[no]sum (no)
    Sum the energy terms selected rather than display them all

-skip <int> (0)
    Skip number of frames between data points

-[no]mean (yes)
    with -groups extracts matrix of mean energies instead of matrix for each timestep

-nlevels <int> (20)
    number of levels for matrix colors

-max <real> (1e+20)
    max value for energies

-min <real> (-1e+20)
    min value for energies

-[no]coulsr (yes)
    extract Coulomb SR energies

-[no]coul14 (no)
    extract Coulomb 1-4 energies

-[no]ljsr (yes)
    extract Lennard-Jones SR energies

-[no]lj14 (no)
    extract Lennard-Jones 1-4 energies

-[no]bhamsr (no)
    extract Buckingham SR energies

-[no]free (yes)
    calculate free energy

-temp <real> (300)
    reference temperature for free energy calculation

SEE ALSO

gmx(1)

More information about GROMACS is available at <http://www.gromacs.org/>.

COPYRIGHT
2021, GROMACS development team